using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.Questions;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Questions;
using SqlSugar;
using System.ComponentModel;
using Hotline.Exams.Questions;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 关联知识仓储
    /// </summary>
    [Description("关联知识仓储")]
    public class QuestionKnowladgeRepository : ExamRepository<ExamQuestionKnowladge>, IQuestionKnowladgeRepository,IScopeDependency
    {
        public QuestionKnowladgeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new QuestionKnowladgeValidator();
        }
    }
}

